-- MySQL dump 9.09
--
-- Host: localhost    Database: sh4re
-- ------------------------------------------------------
-- Server version	4.0.16

--
-- Table structure for table `files`
--

CREATE TABLE files (
  file_id int(11) NOT NULL auto_increment,
  file_directory varchar(255) NOT NULL default '',
  file_name varchar(255) NOT NULL default '',
  file_date datetime NOT NULL default '0000-00-00 00:00:00',
  file_size int(11) NOT NULL default '0',
  file_hash varchar(32) NOT NULL default '',
  file_type enum('Audio','Video','Other') NOT NULL default 'Other',
  PRIMARY KEY  (file_id),
  UNIQUE KEY filehash (file_hash),
  KEY filename (file_name),
  KEY filedate (file_date),
  KEY filesize (file_size),
  KEY filetype (file_type),
  KEY file_directory (file_directory)
) TYPE=MyISAM;

--
-- Table structure for table `files_metadata`
--

CREATE TABLE files_metadata (
  meta_id int(11) NOT NULL auto_increment,
  meta_file_id int(11) NOT NULL default '0',
  meta_key varchar(32) NOT NULL default '',
  meta_value varchar(255) NOT NULL default '',
  PRIMARY KEY  (meta_id),
  KEY meta_file_id (meta_file_id),
  KEY meta_value (meta_value)
) TYPE=MyISAM;

